noinst_LTLIBRARIES = libpsmoduleobjects.la

libpsmoduleobjects_la_CPPFLAGS = $(SRCINC) $(PSMODULE_CFLAGS) -I../pslib/
libpsmoduleobjects_la_LDFLAGS  = -release $(PACKAGE_VERSION)
libpsmoduleobjects_la_SOURCES  = \
     pmPeaks.c \
     pmMoments.c \
     pmModel.c \
     pmModelGroup.c \
     pmSource.c \
     pmSourceSky.c \
     pmSourceContour.c \
     pmSourceFitModel.c \
     pmSourcePhotometry.c \
     pmSourceIO.c \
     pmSourceIO_CMF.c \
     pmSourceIO_CMP.c \
     pmSourceIO_OBJ.c \
     pmSourceIO_SX.c \
     pmSourceIO_RAW.c \
     pmPSF.c \
     pmPSF_IO.c \
     pmPSFtry.c \
     pmGrowthCurve.c

EXTRA_DIST = \
	models/pmModel_GAUSS.c \
	models/pmModel_PGAUSS.c \
	models/pmModel_QGAUSS.c \
	models/pmModel_SGAUSS.c 

psmoduleincludedir = $(includedir)
psmoduleinclude_HEADERS = \
     pmPeaks.h \
     pmMoments.h \
     pmModel.h \
     pmModelGroup.h \
     pmSource.h \
     pmSourceSky.h \
     pmSourceContour.h \
     pmSourceFitModel.h \
     pmSourcePhotometry.h \
     pmSourceIO.h \
     pmPSF.h \
     pmPSF_IO.h \
     pmPSFtry.h \
     pmGrowthCurve.h
